Download it now!
Bug 42693 - FILESAVE: Missing warning if transparency cannot be handled by export filter
Summary: FILESAVE: Missing warning if transparency cannot be handled by export filter
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: Other Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-07 23:47 UTC by Ulrich Windl
Modified: 2016-05-30 13:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Windl 2011-11-07 23:47:15 UTC
When exporting a drawing that uses transparent areas, some export filters (e.g. WMF) use a solid fill instead. There is no warning during export about that fact.
I don't know if WMF could do transparency (if so, that would be another bug), but a warning would be nice.
(PNG exports do transparency properly, but lack good resolution; SVG exports do transparency, but the writer cannot import (or at least display) SVG images)

So either support transparency better, or at least warn now that transparent areas aren't properly rendered.
Comment 1 sasha.libreoffice 2012-03-07 02:16:19 UTC
Thanks for bugreport

>When exporting a drawing that uses transparent areas, some export filters (e.g.
>WMF) use a solid fill instead. There is no warning during export about that
>fact.
I can not reproduce this in Draw 3.5.0. Please, if it is still reproducible, attach document that demonstrates this problem.
Comment 2 Rainer Bielefeld Retired 2012-06-07 00:06:29 UTC
[Reproducible] with server-installation of Master " 3.7.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: b255de8]" (tinderbox: Win-x86@6-fast, pull time 2012-06-05 23:16:58) and attached test kit. Exported sample.wmf does not show transparency.

@sasha
What did you test that you got a different result?
Comment 3 sasha.libreoffice 2012-06-07 00:49:35 UTC
Thanks for reproducing.
Draw 3.5.4 on Fedora 64 bit still exports to wmf with transparency. May be I do something wrong. Please, attach source odg file for tests
Comment 4 Heiko Tietze 2016-05-30 13:40:30 UTC
No question that transparency has to be handled correctly. There are a lot of bugs indicating that we can improve here.

If the file format is a vector graphics, transparency is part of the object definition and has to be ex-/imported properly. Most raster images allow transparency per alpha channel with the exception of CPC, ILBM, JPEG (not JPEG 2000), and PPM. 
https://en.wikipedia.org/wiki/Comparison_of_graphics_file_formats (guess there are more but less known formats)

Not sure what jpg is being used today in LibO but all other formats have transparency. And even when it's an outdated format without transparency I think it makes no sense to warn the user. Ten years ago maybe, but not today.

Closing as WONTFIX.